@php
    $allModules = Module::all();
    $activeModules = [];

    function moveUniversalToFront($array, $keyword = 'Universal') {
            // Find the index of the item with the specified keyword in the product_name
            $index = array_search(true, array_map(function ($item) use ($keyword) {
                return stripos($item['product_name'], $keyword) !== false;
            }, $array));

            // If the item is found, move it to the first position
            if ($index !== false) {
                $item = $array[$index];
                unset($array[$index]);
                array_unshift($array, $item);
            }

            return $array;
    }

     $universal = false;

    foreach ($allModules as $module) {

         $config = require base_path() . '/Modules/' . $module . '/Config/config.php';

          if(isset($config['envato_item_id']) && $config['envato_item_id']!== ''){
                if(stripos($config['name'], 'universal') !== false){
                    $universal = true;
                    break;
                }
                $activeModules[] = $config['envato_item_id'];
          }
    }

     $notInstalledModules = [];

     if(!$universal){
         $plugins = \Froiden\Envato\Functions\EnvatoUpdate::plugins();

        if (empty($plugins)) {
            $plugins = [];
        }else{
            $plugins = moveUniversalToFront($plugins);
        }

        foreach ($plugins as $item) {
            if (!in_array($item['envato_id'], $activeModules)) {
                $notInstalledModules[] = $item;
            }
        }
     }

@endphp

@if (count($notInstalledModules) && !$universal)
    <div class="mt-20">
        <h4 class="text-2xl font-medium">{{ str(config('froiden_envato.envato_product_name'))->replace('new', '')->headline() }} Official Modules</h4>
        <div class="space-y-4 mt-4">
            @foreach ($notInstalledModules as $item)
                <div class="border rounded-lg p-6 @if (stripos($item['product_name'], 'universal') !== false) rainbow @endif">
                    <div class="flex flex-wrap md:flex-nowrap gap-6">
                        <div class="w-24 h-24 flex-shrink-0">
                            <a href="{{ $item['product_link'] }}" target="_blank" class="block">
                                <img src="{{ $item['product_thumbnail'] }}" class="w-24 h-24 object-cover rounded" alt="">
                            </a>

                            @if(isset($item['rating']))
                                <div class="text-sm text-center mt-2">
                                    <svg class="w-4 h-4 text-yellow-400 inline" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor">
                                        <path d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"/>
                                    </svg>
                                    <span>{{number_format($item['rating'],1)??0}}</span>
                                    <span class="text-gray-500 text-xs italic">{{$item['number_of_sales']??0}} Sales</span>
                                </div>
                            @endif
                        </div>
                        <div class="flex-grow">
                            <a href="{{ $item['product_link'] }}" target="_blank" class="text-gray-900 font-medium text-lg hover:text-blue-600">
                                {{ $item['product_name'] }}
                            </a>
                            <p class="text-gray-600 text-sm mt-2">
                                {{ $item['summary'] }}
                            </p>
                        </div>
                        <div class="flex-shrink-0 flex justify-end items-start">
                            <x-primary-link href="{{$item['product_link']}}" data-toggle="tooltip"
                                          data-original-title="Visit {{$item['product_name']}} Page"
                                          target="_blank" icon="arrow-right">
                                <svg class="w-4 h-4" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"/>
                                </svg>
                            </x-primary-link>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endif
